let Genode = env:DHALL_GENODE

let XML = Genode.Prelude.XML

let Init = Genode.Init

let Child = Init.Child

in  Child.flat
      Child.Attributes::{
      , binary = "test-execve"
      , config = Init.Config::{
        , attributes = toMap { ld_verbose = "true" }
        , content =
          [ XML.text
              ''
              <arg value="name_of_executeable"/>
              <arg value="100"/>
              <libc stdin="/null" stdout="/log" stderr="/log"/>
              <vfs> <rom name="test-execve"/> <null/> <log/> </vfs>
              ''
          ]
        }
      , exitPropagate = True
      , resources = Genode.Init.Resources::{
        , caps = 512
        , ram = Genode.units.MiB 32
        }
      , routes =
        [ Init.ServiceRoute.parentLabel
            "ROM"
            (Some "/test-execve")
            (Some "test-execve")
        ]
      }
